Infinity Norm
Statistical Functions

## Functions

NppStatus | nppsNormInfGetBufferSize_32f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsNorm_Inf_32f. More...
NppStatus | nppsNorm_Inf_32f (const Npp32f *pSrc, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
| 32-bit float vector C norm method More...
NppStatus | nppsNormInfGetBufferSize_64f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsNorm_Inf_64f. More...
NppStatus | nppsNorm_Inf_64f (const Npp64f *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| 64-bit float vector C norm method More...
NppStatus | nppsNormInfGetBufferSize_16s32f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsNorm_Inf_16s32f. More...
NppStatus | nppsNorm_Inf_16s32f (const Npp16s *pSrc, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
| 16-bit signed short integer vector C norm method, return value is 32-bit float. More...
NppStatus | nppsNormInfGetBufferSize_32fc32f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsNorm_Inf_32fc32f. More...
NppStatus | nppsNorm_Inf_32fc32f (const Npp32fc *pSrc, int nLength, Npp32f *pNorm, Npp8u *pDeviceBuffer)
| 32-bit float complex vector C norm method, return value is 32-bit float. More...
NppStatus | nppsNormInfGetBufferSize_64fc64f (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsNorm_Inf_64fc64f. More...
NppStatus | nppsNorm_Inf_64fc64f (const Npp64fc *pSrc, int nLength, Npp64f *pNorm, Npp8u *pDeviceBuffer)
| 64-bit float complex vector C norm method, return value is 64-bit float. More...
NppStatus | nppsNormInfGetBufferSize_16s32s_Sfs (int nLength, int *hpBufferSize)
| Device-buffer size (in bytes) for nppsNorm_Inf_16s32s_Sfs. More...
NppStatus | nppsNorm_Inf_16s32s_Sfs (const Npp16s *pSrc, int nLength, Npp32s *pNorm, int nScaleFactor, Npp8u *pDeviceBuffer)
| 16-bit signed short integer vector C norm method, return value is 32-bit signed integer. More...

## Detailed Description

## Function Documentation

NppStatus nppsNorm_Inf_16s32f | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit signed short integer vector C norm method, return value is 32-bit float.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormInfGetBufferSize_16s32f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_Inf_16s32s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pNorm,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

16-bit signed short integer vector C norm method, return value is 32-bit signed integer.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  nScaleFactor | Integer Result Scaling.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormInfGetBufferSize_16s32s_Sfs to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_Inf_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit float vector C norm method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormInfGetBufferSize_32f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_Inf_32fc32f | ( | const Npp32fc * | pSrc,
|  | int | nLength,
|  | Npp32f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

32-bit float complex vector C norm method, return value is 32-bit float.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormInfGetBufferSize_32fc32f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_Inf_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit float vector C norm method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormInfGetBufferSize_64f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNorm_Inf_64fc64f | ( | const Npp64fc * | pSrc,
|  | int | nLength,
|  | Npp64f * | pNorm,
|  | Npp8u * | pDeviceBuffer
| ) |  |

64-bit float complex vector C norm method, return value is 64-bit float.

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pNorm | Pointer to the norm result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsNormInfGetBufferSize_64fc64f to determine the minium number of bytes required.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsNormInfGetBufferSize_16s32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsNorm_Inf_16s32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsNormInfGetBufferSize_16s32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsNorm_Inf_16s32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsNormInfGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsNorm_Inf_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsNormInfGetBufferSize_32fc32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsNorm_Inf_32fc32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsNormInfGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsNorm_Inf_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

NppStatus nppsNormInfGetBufferSize_64fc64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

Device-buffer size (in bytes) for nppsNorm_Inf_64fc64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.

Returns
  NPP_SUCCESS

Copyright © 2009-2017 NVIDIA Corporation